Move or copy a hosted asset Obsoleto

publicación /groups/{groupId}/apps/{appId}/hosting/assets

Move or copy a hosted asset to a new resource path.

Parámetros de path

aplicación/json

Cuerpo Requerido

The hosted asset file and its metadata. (Must use Content-Type: multipart/mixed)

  • mover_de string

    The current resource path of the asset to move. Must be used with move_to.

  • move_to string

    Ruta del recurso a la que se moverá el activo. Debe usarse con move_from.

  • copy_from string

    The current resource path of the asset to copy. Must be used with copy_to.

  • copy_to string

    The resource path to which the asset will be copied. Must be used with copy_from.

Respuestas

  • 204

    Successfully moved/copied the hosted asset.

POST /groups/{groupId}/apps/{appId}/hosting/assets
curl \
 --request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/hosting/assets' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"move_from":"string","move_to":"string","copy_from":"string","copy_to":"string"}'
Solicitar ejemplos
{
  "move_from": "string",
  "move_to": "string",
  "copy_from": "string",
  "copy_to": "string"
}